Name:           python-xformers
Version:        0.0.31
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        XFormers: A collection of composable Transformer building blocks.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://facebookresearch.github.io/xformers/
Source:         %{pypi_source xformers}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'xformers' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-xformers
Summary:        %{summary}

%description -n python3-xformers %_description


%prep
%autosetup -p1 -n xformers-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-xformers -f %{pyproject_files}


%changelog
%autochangelog